class ApiGenresController < ApiController

  respond_to :json

  def index
    if params[:jamtracks]
      @genres = Genre.jam_track_list
    else
      @genres = Genre.order(:description)
    end
  end

  def show
    @genre = Genre.find(params[:id])
    gon.genre_id = @genre.id
    gon.description = @genre.description
  end

end
